
/* *****************************************************************************

    gkey1sec.c : waits until a key is pressed during 1 sec max
    The program stops after 1 sec or after the key-press (after the first event)
    
    Author: David Dallet
    Contact: ddmdllt _at_ gmail _dot_ com
    
    Copyright (C) 2004-2007 David Dallet
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
***************************************************************************** */

// C Source File
// Created 18/01/04; 17:53:47

#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
#define USE_V200              // Compile for V200

// #define OPTIMIZE_ROM_CALLS // Use ROM Call Optimization

// #define NO_AMS_CHECK
#define MIN_AMS 200
#define NO_CALC_DETECT
#define NO_EXIT_SUPPORT

// #define SAVE_SCREEN        // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

// Main Function

void _main(void)
{
  unsigned long t;
  t=FiftyMsecTick;
	ST_busy(2); //PAUSE
	while(!(kbhit() || (FiftyMsecTick>t+20))) idle();
	ST_busy(1); //BUSY
}
